org.apache.jmeter.control

## Interface ReplaceableController

All Known Implementing Classes:
  IncludeController, ModuleController

    public interface ReplaceableController

This interface represents a controller that gets replaced during the compilation phase of test execution in an arbitrary way.

### Method Summary

All Methods Instance Methods Abstract Methods
`HashTree` `getReplacementSubTree()` Used to replace the test execution tree (usually by adding the subelements of the TestElement that is replacing the ReplaceableController.
`void` `resolveReplacementSubTree(JMeterTreeNode context)` Compute the replacement tree.

### Method Detail

#### getReplacementSubTree

    HashTree getReplacementSubTree()

Used to replace the test execution tree (usually by adding the subelements of the TestElement that is replacing the ReplaceableController.

Returns:
  The replaced sub tree
See Also:
  `HashTree`

#### resolveReplacementSubTree

    void resolveReplacementSubTree(JMeterTreeNode context)

Compute the replacement tree.

Parameters:
  `context` - the starting point of the replacement